Bug 589805 - lvconvert fails with inactive LVs
lvconvert fails with inactive LVs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.5
All Linux
urgent Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
:
Depends On: 582251
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 18:55 EDT by Corey Marthaler
Modified: 2011-01-13 17:41 EST (History)
15 users (show)

See Also:
Fixed In Version: lvm2-2.02.73-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 582251
Environment:
Last Closed: 2011-01-13 17:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for rhel5 to disallow new mirror conversion while one is already happening (701 bytes, patch)
2010-08-25 11:27 EDT, Jonathan Earl Brassow
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0052 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2011-01-12 12:15:25 EST

  None (edit)
Comment 1 Jonathan Earl Brassow 2010-08-25 11:27:03 EDT
Created attachment 440970 [details]
Patch for rhel5 to disallow new mirror conversion while one is already happening

Patch is upstream since LVM2 Version 2.02.64 - 30th April 2010
WHATS_NEW entry:
  Disallow the addition of mirror images while a conversion is happening.
Comment 2 Milan Broz 2010-08-30 06:39:49 EDT
Fix in lvm2-2.02.73-1.el5.
Comment 4 Corey Marthaler 2010-11-08 16:22:33 EST
The basic inactive lvconvert to mirror now works, still running all the other newly added test cases as a result of this bug...

[root@taft-01 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize   Copy%  Devices
  volume   taft       -wi--- 500.00M        /dev/sdb1(0)

[root@taft-01 ~]# lvconvert -m+1 taft/volume /dev/sdc1 /dev/sdd1
  Conversion starts after activation.

[root@taft-01 ~]# lvchange -ay taft/volume

[root@taft-01 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize   Log         Copy%  Devices
  volume            taft       mwi-a- 500.00M volume_mlog  43.20 volume_mimage_0(0),volume_mimage_1(0)
  [volume_mimage_0] taft       Iwi-ao 500.00M                    /dev/sdb1(0)
  [volume_mimage_1] taft       Iwi-ao 500.00M                    /dev/sdc1(0)
  [volume_mlog]     taft       lwi-ao   4.00M                    /dev/sdd1(0)

[root@taft-01 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize   Log         Copy%  Devices
  volume            taft       mwi-a- 500.00M volume_mlog 100.00 volume_mimage_0(0),volume_mimage_1(0)
  [volume_mimage_0] taft       iwi-ao 500.00M                    /dev/sdb1(0)
  [volume_mimage_1] taft       iwi-ao 500.00M                    /dev/sdc1(0)
  [volume_mlog]     taft       lwi-ao   4.00M                    /dev/sdd1(0)


2.6.18-227.el5

lvm2-2.02.74-1.el5    BUILT: Fri Oct 15 10:26:21 CDT 2010
lvm2-cluster-2.02.74-2.el5    BUILT: Fri Oct 29 07:48:11 CDT 2010
device-mapper-1.02.55-1.el5    BUILT: Fri Oct 15 06:15:55 CDT 2010
cmirror-1.1.39-10.el5    BUILT: Wed Sep  8 16:32:05 CDT 2010
kmod-cmirror-0.1.22-3.el5    BUILT: Tue Dec 22 13:39:47 CST 2009
Comment 5 Corey Marthaler 2010-11-08 18:04:42 EST
The test cases for the lv conversion of inactive mirrors/linears eventually ends up failing due to issue 591710. However, the basic functionality works. Marking verified.

lvconvert --mirrorlog disk -m 1 centipede/centi_base /dev/sdb3
sufficient pvs convert case failed on grant-01
  Unable to determine mirror sync status of centipede/centi_base_mlog.
  Unable to remove primary mirror image while mirror is not in-sync
Comment 7 errata-xmlrpc 2011-01-13 17:41:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0052.html

Note You need to log in before you can comment on or make changes to this bug.